KUBERNETES(1)

NAME

kubeadm init phase kubeconfig kubelet - Generates a kubeconfig file for the kubelet to use only for cluster bootstrapping purposes

SYNOPSIS

kubeadm init phase kubeconfig kubelet [OPTIONS]

DESCRIPTION

Generates the kubeconfig file for the kubelet to use and saves it to kubelet.conf file.

Please note that this should only be used for cluster bootstrapping purposes. After your control plane is up, you should request all kubelet credentials from the CSR API.

OPTIONS

--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    Port for the API Server to bind to.

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--kubeconfig-dir="/etc/kubernetes"
    The path where to save the kubeconfig file.

--node-name=""
    Specify the node name.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-init-phase-kubeconfig(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!